*,::after,::before{box-sizing:border-box}
body,html{margin:0;padding:0}
*{word-wrap:break-word}
body{font-family:system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji"}
body{-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;text-rendering:optimizelegibility;padding:0;margin:0;line-height:22px;background-color:#f0f4f7}
.d-none{display:none!important}
.d-cursor{cursor:pointer}
.d-flex{display:flex}
.fs-12{font-size:12px!important}
.fs-14{font-size:14px}
textarea{resize:none}
.pc,.pr,body,dd,dl,fieldset,form,h1,h2,h3,h4,h5,h6,li,ol,p,ul{margin:0;padding:0}
table{border-collapse:collapse;empty-cells:show}
caption,th{text-align:left;font-weight:400}
.xl li,ul li{list-style:none}
cite,em,i{font-style:normal}
a{text-decoration:none;color:#080808}
a:hover{text-decoration:underline;color:#800}
a img{border:none}
label{cursor:pointer}
.bg-white{background-color:#fff}
header{background-color:#222;border-color:#080808}
.app{justify-content:space-between;gap:10px}
.main-app{margin:20px 0 0 0}
.app aside{width:300px}
aside .roms-tips
{    flex-direction: column;}
aside .roms-tips .r-t--header{
    justify-content: space-between;
    padding: 20px 10px 10px 10px;
}
aside .roms-tips .r-t--header .r-t-h--title{
    font-weight: 500;
}
aside .roms-tips .r-t--header .r-t-h--icon{
    padding: 0 15px;
}
aside  .r-t--body{ border:1px solid rgb(239, 239, 245); margin: 10px; }
aside .rtb-desc{display: flex;flex-direction: row;
    justify-content: flex-start;align-items: center;
    border-bottom:1px solid rgb(239, 239, 245);
}
aside .rtb-desc .rtb-text{
    width: 90px;
    border-right:1px solid rgb(239, 239, 245);
    padding: 10px 10px 10px 10px ;
    background: rgb(250, 250, 252);}
aside .rtb-desc .rtb-note{
    padding-left: 10px;
}
aside .rtb-desc .rtb-note span
{box-shadow: 0 0 #cbd3da, 0 0 #cbd3da, 0 1px #cbd3da, 0 2px #cbd3da, 2px 1px 4px #adb5bd, 0 -1px 1px #adb5bd;
    background-color: #f8f9fa;
    border-color: #dae0e5;
    color: #343a40;
    display: inline-block;
    margin: 0 5px;
    padding: 0 8px ;
}

.main-container{min-height:600px;flex:1;flex-direction:column}
.footer-container{justify-content:space-between;align-items:center;padding:20px 0 30px 0}
.footer-container .about-text{gap:20px}
.header-container{height:50px;justify-content:space-between}
.header-container,.header-container a{color:#fff;text-decoration:none}
header .hc--logo{margin:4px 0 0 0;    align-items: center;}

header .hc--logo img{height:24px;margin:0 0 0 0;width:auto}
header .hc--logo .site-logo{margin-right: 20px;}
header .hc--logo .game-plat{margin-left: 20px;}
header .hc--logo a.game-plat:hover{color: #5b9cff;}

.search-box{position:relative}
.icon-search{mask-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyNCAyNCI+PHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik0xMC41IDRDNi45MTAxNSA0IDQgNi45MTAxNSA0IDEwLjVDNCAxNC4wODk5IDYuOTEwMTUgMTcgMTAuNSAxN0MxNC4wODk5IDE3IDE3IDE0LjA4OTkgMTcgMTAuNUMxNyA2LjkxMDE1IDE0LjA4OTkgNCAxMC41IDRaTTIgMTAuNUMyIDUuODA1NTggNS44MDU1OCAyIDEwLjUgMkMxNS4xOTQ0IDIgMTkgNS44MDU1OCAxOSAxMC41QzE5IDE1LjE5NDQgMTUuMTk0NCAxOSAxMC41IDE5QzUuODA1NTggMTkgMiAxNS4xOTQ0IDIgMTAuNVoiIGZpbGw9ImN1cnJlbnRDb2xvciIvPjxwYXRoIGZpbGwtcnVsZT0iZXZlbm9kZCIgY2xpcC1ydWxlPSJldmVub2RkIiBkPSJNMTUuMjkyOSAxNS4yOTI5QzE1LjY4MzQgMTQuOTAyNCAxNi4zMTY2IDE0LjkwMjQgMTYuNzA3MSAxNS4yOTI5TDIxLjcwNzEgMjAuMjkyOUMyMi4wOTc2IDIwLjY4MzQgMjIuMDk3NiAyMS4zMTY2IDIxLjcwNzEgMjEuNzA3MUMyMS4zMTY2IDIyLjA5NzYgMjAuNjgzNCAyMi4wOTc2IDIwLjI5MjkgMjEuNzA3MUwxNS4yOTI5IDE2LjcwNzFDMTQuOTAyNCAxNi4zMTY2IDE0LjkwMjQgMTUuNjgzNCAxNS4yOTI5IDE1LjI5MjlaIiBmaWxsPSJjdXJyZW50Q29sb3IiLz48L3N2Zz4=);-webkit-mask-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyNCAyNCI+PHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik0xMC41IDRDNi45MTAxNSA0IDQgNi45MTAxNSA0IDEwLjVDNCAxNC4wODk5IDYuOTEwMTUgMTcgMTAuNSAxN0MxNC4wODk5IDE3IDE3IDE0LjA4OTkgMTcgMTAuNUMxNyA2LjkxMDE1IDE0LjA4OTkgNCAxMC41IDRaTTIgMTAuNUMyIDUuODA1NTggNS44MDU1OCAyIDEwLjUgMkMxNS4xOTQ0IDIgMTkgNS44MDU1OCAxOSAxMC41QzE5IDE1LjE5NDQgMTUuMTk0NCAxOSAxMC41IDE5QzUuODA1NTggMTkgMiAxNS4xOTQ0IDIgMTAuNVoiIGZpbGw9ImN1cnJlbnRDb2xvciIvPjxwYXRoIGZpbGwtcnVsZT0iZXZlbm9kZCIgY2xpcC1ydWxlPSJldmVub2RkIiBkPSJNMTUuMjkyOSAxNS4yOTI5QzE1LjY4MzQgMTQuOTAyNCAxNi4zMTY2IDE0LjkwMjQgMTYuNzA3MSAxNS4yOTI5TDIxLjcwNzEgMjAuMjkyOUMyMi4wOTc2IDIwLjY4MzQgMjIuMDk3NiAyMS4zMTY2IDIxLjcwNzEgMjEuNzA3MUMyMS4zMTY2IDIyLjA5NzYgMjAuNjgzNCAyMi4wOTc2IDIwLjI5MjkgMjEuNzA3MUwxNS4yOTI5IDE2LjcwNzFDMTQuOTAyNCAxNi4zMTY2IDE0LjkwMjQgMTUuNjgzNCAxNS4yOTI5IDE1LjI5MjlaIiBmaWxsPSJjdXJyZW50Q29sb3IiLz48L3N2Zz4=);position:absolute;top:14px;left:8px;width:18px;height:18px;color:#b3bec1;display:inline-block;background-color:currentColor;mask-size:contain;-webkit-mask-size:contain;mask-repeat:no-repeat;-webkit-mask-repeat:no-repeat;z-index:1;pointer-events:none}
.search-text{margin:8px 0 0 0;width:180px;height:32px;background-color:#222;border:1px solid #343434;border-radius:10px;color:#fff;padding:0 35px;transition:all .3s}
.search-text:focus{border-color:#333;outline:0;background-color:#222;color:#fff}
.nav-container{margin:20px 0 0 0;justify-content:space-between}
.nc--title{flex-direction:row;justify-content:flex-start;gap:10px}
.nc--title h1{font-size:18px}
.nct--list{flex-direction:row;align-items:center;gap:10px;justify-content:flex-start}
.nct--list .pn--history{padding:0 0 0 20px}
.game-list{padding:20px;gap:20px;flex-wrap:wrap}
.game-list .game-one{position:relative;overflow:hidden;box-sizing:border-box;flex:0 0 calc(25% - 15px)}
.game-list .game-one img{border-radius:20px;width:100%;aspect-ratio:220/323;background-color:rgba(25,25,25,.8)}
.game-one .game-info{display:none;background-color:rgba(25,25,25,.5);position:absolute;bottom:0;left:0;right:0;border-radius:0 0 20px 20px;padding:0 20px 0 20px}
.game-one:hover .game-info{display:block}
.game-one .game-info .game-name{color:#fff;font-size:18px;font-weight:400;padding:20px 0 10px 0}
.game-one .game-info .game-size{color:#ccc;font-size:14px;line-height:28px;padding:10px 0}
.game-pager{align-items:center;justify-content:space-between;padding:20px 10px;border-top:1px solid #f0f4f7}
.page-list{align-items:center;border-radius:4px;border:1px solid #e7e9eb}
.page-list a{background-color:#f0f4f7}
.page-list a:hover{text-decoration:none;background-color:#f6f7fb;color:#1475c0;font-weight:500}
.page-list a,.page-list span{color:#4c4c5c;padding:8px 12px 0 12px;height:38px;border-left:1px solid #e7e9eb}
.page-list>:first-child{border-left:none}
.page-list .now{color:#fff;background-color:#35b8e0;border-color:#35b8e0}
.plat-box{justify-content: space-between; padding: 20px 15px 10px 15px;}
.plat-box-line  {border-top:5px solid #f0f4f7;}
.plat-box .plat-name{ font-size: 16px;font-weight: 500}
.plat-box .plat-link{ text-decoration: none}

.about{background: #fff; margin: 20px 0; padding: 20px;}

.about h1{
    padding: 50px 0;
}
.about h2{
    height: 60px;
    line-height: 60px;

}
.about-item{gap:20px;display: flex;}

.game-box{position:relative;z-index:100}
.game-box .game-box__cover{background-color:#fff;background-repeat:no-repeat;background-size:cover;width:100%;height:100%;position:absolute;top:0;left:0;display:flex;align-items:center;filter:brightness(.5) blur(7px)}
.game-box .game-box__info{backdrop-filter:blur(4px);width:100%;height:50%;background-color:rgba(0,0,0,.4);position:absolute;top:25%;left:0;justify-content:center;align-items:center}
.game-box .gbi--thumb{width:160px;margin-right:40px;aspect-ratio:220/323}
.game-box .gbi--thumb .game-img{width:100%;height:100%}
.game-box .gbi--name{flex-direction:column}
.game-box .gbi--name .the-game-size{ color:#fff;padding: 20px 0 10px 0}
.game-box .gbi--game-name h1{font-size:22px;font-weight:500;color:#fff}
.game-box .play-the-game{margin:30px 0 0 0}
.game-box .play-dos-game{border-radius:48px;padding:0 68px;height:48px;flex:none;font-weight:700;white-space:nowrap;position:relative;display:inline-flex;gap:6px;justify-content:center;align-items:center;font-size:20px;outline:0;border:none;background:linear-gradient(95.26deg,#5b9cff 30.38%,#4378ff 70.38%);color:#fff;cursor:pointer;transition:all .3s;animation:.5s cubic-bezier(.1,.2,.1,.8) 0s infinite alternate both running continue-play}
.game-box .play-dos-game:hover{background:linear-gradient(95.26deg,#407ae0 30.38%,#2958d0 70.38%)}
.game--content{border-top:1px solid #f0f4f7;margin:50px 0 20px 0;padding:20px;flex-direction:column}
.game--content .game-title{line-height:60px;font-weight:500;font-size:16px}
.game--content .game-content-text{line-height:28px;font-size:14px}
.game-2-play,.game-box,.screen-container{width:100%;aspect-ratio:3/2}
.game-box{padding:10px}
.game-2-play{display:none;position:relative;z-index:200;background:#000}
.btn-toolbar{position:absolute;bottom:-40px;left:315px}
.btn-toolbar .btn{padding:8px;cursor:pointer;border:none;background:#e8e9ea}
.btn-toolbar .btn:hover{background:#d8d9da}
.exit-full-screen{position:absolute;top:16px;right:16px;z-index:10;width:36px;height:36px;align-items:center;justify-content:center;background:rgba(0,0,0,.5);cursor:pointer;color:#fff;font-size:18px;display:none;border:3px solid rgba(255,255,255,.3);border-radius:50%;transition:border-color .2s}
.exit-full-screen:hover{border-color:#4378ff}
.exit-full-screen:hover .exit-f-s{background-color:#4378ff}
.icon-x{mask-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxMDI0IDEwMjQiPjxwYXRoIGQ9Ik02NDcuMyA1MTMuNGwzMzIuOS0zMzIuOWMyNi43LTI2LjcgMjYuNy03MC4zIDAtOTdsLTMwLjctMzAuN2MtMjYuNy0yNi43LTcwLjMtMjYuNy05NyAwTDUxOS42IDM4NS43IDE4Ni43IDUyLjhjLTI2LjctMjYuNy03MC4zLTI2LjctOTcgMEw1OSA4My41Yy0yNi43IDI2LjctMjYuNyA3MC4zIDAgOTdsMzMyLjkgMzMyLjlMNTkgODQ2LjNjLTI2LjcgMjYuNy0yNi43IDcwLjMgMCA5N0w4OS43IDk3NGMyNi43IDI2LjcgNzAuMyAyNi43IDk3IDBsMzMyLjktMzMyLjlMODUyLjUgOTc0YzI2LjcgMjYuNyA3MC4zIDI2LjcgOTcgMGwzMC43LTMwLjdjMjYuNy0yNi43IDI2LjctNzAuMyAwLTk3TDY0Ny4zIDUxMy40eiIvPjwvc3ZnPg==);-webkit-mask-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxMDI0IDEwMjQiPjxwYXRoIGQ9Ik02NDcuMyA1MTMuNGwzMzIuOS0zMzIuOWMyNi43LTI2LjcgMjYuNy03MC4zIDAtOTdsLTMwLjctMzAuN2MtMjYuNy0yNi43LTcwLjMtMjYuNy05NyAwTDUxOS42IDM4NS43IDE4Ni43IDUyLjhjLTI2LjctMjYuNy03MC4zLTI2LjctOTcgMEw1OSA4My41Yy0yNi43IDI2LjctMjYuNyA3MC4zIDAgOTdsMzMyLjkgMzMyLjlMNTkgODQ2LjNjLTI2LjcgMjYuNy0yNi43IDcwLjMgMCA5N0w4OS43IDk3NGMyNi43IDI2LjcgNzAuMyAyNi43IDk3IDBsMzMyLjktMzMyLjlMODUyLjUgOTc0YzI2LjcgMjYuNyA3MC4zIDI2LjcgOTcgMGwzMC43LTMwLjdjMjYuNy0yNi43IDI2LjctNzAuMyAwLTk3TDY0Ny4zIDUxMy40eiIvPjwvc3ZnPg==)}
.exit-f-s{display:block;width:18px;height:18px;background-color:#fff;background-repeat:no-repeat}
canvas.emscripten{border:0 none;background-color:#000;width:100%;image-rendering:auto!important}
.emscripten{padding-right:0;margin-left:auto;margin-right:auto;display:block}
.emularity-splash-screen{margin-top:150px}
.emularity-splash-screen .emularity-splash-title{font-size:16px}
.app,.main,footer,nav{width:1240px;margin:0 auto}
